Debian Bug report logs - #373653
cdbs: Some details to fix in the new python-distutils.mk

version graph

Package: cdbs; Maintainer for cdbs is CDBS Hackers <build-common-hackers@lists.alioth.debian.org>; Source for cdbs is src:cdbs.

Reported by: Raphael Hertzog <hertzog@debian.org>

Date: Wed, 14 Jun 2006 20:18:12 UTC

Severity: important

Found in version cdbs/0.4.41

Fixed in version cdbs/0.4.42

Done: Peter Eisentraut <petere@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, CDBS Hackers <build-common-hackers@lists.alioth.debian.org>:
Bug#373653; Package cdbs. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to CDBS Hackers <build-common-hackers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cdbs: Some details to fix in the new python-distutils.mk
Date: Wed, 14 Jun 2006 22:06:16 +0200
Package: cdbs
Version: 0.4.41
Severity: normal

I've seen two little problems with the updated python class:

1/ Using DEB_AUTO_UPDATE_DEBIAN_CONTROL=1 debian/rules clean generate a
build-depends on: cdbs (>= 0.4.43)

The version should be 0.4.41 ... also you will have double Build-Depends
on debhelper/cdbs, I don't know if you can merge that nicely one day.

2/ The error message if you don't have DEB_PYTHON_SYSTEM says to
define DEB_PYTHON_SUPPORT (instead of SYSTEM) ... (my fault ;-))

Cheers,

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)

cdbs depends on no packages.

Versions of packages cdbs recommends:
ii  autotools-dev                 20060223.1 Update infrastructure for config.{
ii  debhelper                     5.0.37.1   helper programs for debian/rules

-- no debconf information



Severity set to `important' from `normal' Request was from Marc Dequènes (Duck) <Duck@DuckCorp.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Peter Eisentraut <petere@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Raphael Hertzog <hertzog@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 373653-close@bugs.debian.org (full text, mbox):

From: Peter Eisentraut <petere@debian.org>
To: 373653-close@bugs.debian.org
Subject: Bug#373653: fixed in cdbs 0.4.42
Date: Fri, 16 Jun 2006 11:17:03 -0700
Source: cdbs
Source-Version: 0.4.42

We believe that the bug you reported is fixed in the latest version of
cdbs, which is due to be installed in the Debian FTP archive:

cdbs_0.4.42.dsc
  to pool/main/c/cdbs/cdbs_0.4.42.dsc
cdbs_0.4.42.tar.gz
  to pool/main/c/cdbs/cdbs_0.4.42.tar.gz
cdbs_0.4.42_all.deb
  to pool/main/c/cdbs/cdbs_0.4.42_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 373653@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Peter Eisentraut <petere@debian.org> (supplier of updated cdbs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 16 Jun 2006 20:00:03 +0200
Source: cdbs
Binary: cdbs
Architecture: source all
Version: 0.4.42
Distribution: unstable
Urgency: low
Maintainer: CDBS Hackers <build-common-hackers@lists.alioth.debian.org>
Changed-By: Peter Eisentraut <petere@debian.org>
Description: 
 cdbs       - common build system for Debian packages
Closes: 373653 373653 373678 373873 373997
Changes: 
 cdbs (0.4.42) unstable; urgency=low
 .
   * Corrected misspelled DEB_PYTHON_INSTALL_ARGS(_ALL)
     (python-distutils.mk) (closes: #373678)
   * Corrected automatic cdbs dependency version (python-distutils.mk)
     (closes: #373653, #373997)
   * Corrected error message (python-distutils.mk)
     (closes: #373653, #373873)
Files: 
 a5f904597e6ae7a0b87ae07be549ee75 980 devel optional cdbs_0.4.42.dsc
 f963fd634e3e2ad8964de1d2d47ea763 198319 devel optional cdbs_0.4.42.tar.gz
 8871a064cef505ec3933902ea7fd78a2 354254 devel optional cdbs_0.4.42_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEkvOvTTx8oVVPtMYRAjEBAJ9ylbiAm+ajNmFcXZkFWrultoAQ8ACglZBK
784ARVHCVjmmfXv0GfMA+nI=
=DY6k
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 25 Jun 2007 21:43:00 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:21:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.